FUNCTION ERASE_AL(3)

NAME
boost::algorithm::erase_all_copy - Erase all algorithm.

SYNOPSIS

// In header: <boost/algorithm/string/erase.hpp>
template<typename OutputIteratorT, typename Range1T, typename Range2T>
  OutputIteratorT
  erase_all_copy(OutputIteratorT Output, const Range1T & Input,
                 const Range2T & Search);
template<typename SequenceT, typename RangeT>
  SequenceT erase_all_copy(const SequenceT & Input, const RangeT & Search);

DESCRIPTION

Remove all the occurrences of the string from the input. The result is a modified copy of the input. It is returned as a sequence or copied to the output iterator.

Parameters:

    Input
        An input sequence

    Output
        An output iterator to which the result will be copied

    Search
        A substring to be searched for.

Returns:
    An output iterator pointing just after the last inserted character or a modified copy of the input

Notes:
    The second variant of this function provides the strong exception-safety guarantee